[arch-commits] Commit in libxft/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:23:47 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:23:47
  Author: jgc
Revision: 4364

Merged revisions 2-4363 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxft/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4362 | jgc | 2008-07-06 19:22:42 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: libxft 2.1.13-1
........

Modified:
  libxft/repos/extra-x86_64/	(properties)
  libxft/repos/extra-x86_64/PKGBUILD
Deleted:
  libxft/repos/extra-x86_64/libxft_export.diff

--------------------+
 PKGBUILD           |   17 ++++++++++-------
 libxft_export.diff |   11 -----------
 2 files changed, 10 insertions(+), 18 deletions(-)


Property changes on: libxft/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /libxft/trunk:1
   + /libxft/trunk:1-4363

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-06 19:22:55 UTC (rev 4363)
+++ extra-x86_64/PKGBUILD	2008-07-06 19:23:47 UTC (rev 4364)
@@ -2,21 +2,24 @@
 # Maintainer: Alexander Baldeck<alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxft
-pkgver=2.1.12
+pkgver=2.1.13
 pkgrel=1
 pkgdesc="FreeType-based font drawing library for X"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
-depends=('fontconfig' 'libxrender')
+depends=('fontconfig>=2.6.0' 'libxrender')
 makedepends=('pkgconfig')
-options=('nolibtool')
+options=('!libtool')
 source=(${url}/releases/individual/lib/libXft-${pkgver}.tar.bz2)
+md5sums=('bc8881851f3bd8dcc625fac37350a1c6')
 
 build() {
   cd ${startdir}/src/libXft-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+
 }
-md5sums=('1309301e2d979bd475dc58325cb8c056')

Deleted: extra-x86_64/libxft_export.diff
===================================================================
--- extra-x86_64/libxft_export.diff	2008-07-06 19:22:55 UTC (rev 4363)
+++ extra-x86_64/libxft_export.diff	2008-07-06 19:23:47 UTC (rev 4364)
@@ -1,11 +0,0 @@
---- old/xftname.c	2007-12-07 15:13:42.000000000 +0100
-+++ src/xftname.c	2006-12-07 15:14:23.000000000 +0100
-@@ -50,7 +50,7 @@
-     return FcNameParse ((FcChar8 *) name); 
- }
- 
--_X_HIDDEN FcBool
-+_X_EXPORT FcBool
- XftNameUnparse (FcPattern *pat, char *dest, int len)
- {
-     FcChar8 *name;





More information about the arch-commits mailing list